# $Revision: 1.17 $, $Date: 2004/12/03 14:09:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	CrossProduct
Summary:	Set::CrossProduct Perl module - work with the cross product of two or more sets
Summary(pl):	Modu Perla Set::CrossProduct - uatwienie pracy z iloczynem kartezjaskim zbiorw
Name:		perl-Set-CrossProduct
Version:	1.5
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b55cf4a96f94b96c7dcfc720bc24ad46
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Given sets S(1), S(2), ..., S(k), each of cardinality n(1), n(2), ...,
n(k) respectively, the cross product of the sets is the set CP of
ordered tuples such that { <s1, s2, ..., sk> | s1 => S(1), s2 => S(2),
... sk => S(k). }

%description -l pl
Dane s zbiory S(1), S(2), ... S(k), kady  o licznoci odpowiednio
n(1), n(2), ... n(k). Iloczynem kartezjaskim (produktem) tych zbiorw
jest zbir CP uporzdkowanych krotek, takich e { <s1, s2, ... sk> |
s1 => S(1), s2 => S(2), ... sk => S(k). }.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-CrossProduct.spec,v $
Revision 1.17  2004/12/03 14:09:13  radek
- autoupdated to 1.5

Revision 1.16  2004/11/03 22:30:43  paladine
- formatting

Revision 1.15  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.14  2004/05/06 18:21:01  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/02 08:31:33  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.11  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:06  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:18:42  radek
- new, STBR
